#! /bin/sh

# don't use ranges of characters

case $1 in
    4.9.*)                                      echo "4.9.0";;
    4.8.*)                                      echo "4.8.0";;
    4.7.*)                                      echo "4.7.0";;
    4.6.*)                                      echo "4.6.0";;
    4.5.*)                                      echo "4.5.0";;
    4.4.*)                                      echo "4.4.0";;
    4.3.*)                                      echo "4.3.0";;
    4.2.*)                                      echo "4.2.0";;
    4.1.*)                                      echo "4.1.0";;
    4.0.*)                                      echo "4.0.0";;
    3.6.*)                                      echo "3.6.0";;
    3.5.*)                                      echo "3.5.0";;
    3.4.*)                                      echo "3.4.0";;
    3.3.[123456789]*)                           echo "3.3.2";;
    3.3.0*)                                     echo "3.3.0";;
    3.2.0pre* | 3.2.0rc*)                       echo "3.2.0pre3";;
    3.2.*) 					echo "3.2.0";;
    3.0.36*SUSE*)                               echo "3.0.36";;
    3.0.33-*el5*)			        echo "3.0.33";;
    3.0.2[6789]*| 3.0.[3456789][0123456789]*) 	echo "3.0.26";;
    3.0.25*) 	  				echo "3.0.25";;
    3.0.2[34]*) 				echo "3.0.23";;
    3.0.2[12]*) 				echo "3.0.21";;
    3.0.20[ab]* ) 				echo "3.0.20a";;
    3.0.20*) 	   				echo "3.0.20";;
    3.0.1[234]*) 				echo "3.0.12";;
    3.0.11*) 					echo "3.0.11";;
    3.0.[3456789]* | 3.0.10*) 			echo "3.0.3";;
    3.0.2*) 	    				echo "3.0.2";;
    3.0.[01]*) 					echo "3.0.0";;
    *) exit 1
esac
